Combiplow_46_S = {};

function Combiplow_46_S.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;
function Combiplow_46_S:load(xmlFile)

	self.drum1= Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.drum#index1"));
	self.drum2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.drum#index2"));
    self.drumRotationScale = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.drum#rotationScale"), 1);
	
    self.groundReferenceThreshold = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.groundReferenceNode#threshold"), 0.2);
    self.groundReferenceNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.groundReferenceNode#index"));
    if self.groundReferenceNode == nil then
        self.groundReferenceNode = self.components[1].node;
    end;
end;
function Combiplow_46_S:delete()
end;
function Combiplow_46_S:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Combiplow_46_S:keyEvent(unicode, sym, modifier, isDown)
end;

function Combiplow_46_S:update(dt)

	local x,y,z = getWorldTranslation(self.groundReferenceNode);
	local terrainHeight = getTerrainHeightAtWorldPos(g_currentMission.terrainRootNode, x, 0, z);
	
	if terrainHeight+self.groundReferenceThreshold >= y then
		if self.drum1 ~= nil then
			rotate(self.drum1, self.drumRotationScale * self.attacherVehicle.lastSpeed * self.attacherVehicle.movingDirection * 3 , 0, 0);
		end;

		if self.drum2 ~= nil then
			rotate(self.drum2, self.drumRotationScale * self.attacherVehicle.lastSpeed * self.attacherVehicle.movingDirection * 3 , 0, 0);
		end;
	end;

end;


function Combiplow_46_S:draw()
end;